Description

Searching on the KNB brings up a blank page when using the Ampersand (&) symbol. A search on a title such as,"Species &
functional diversity"will bring up empty page.

History

#1 - 03/27/2013 02:22 PM - Redmine Admin
Original Bugzilla ID was 3017

#2 - 04/09/2013 05:04 PM - ben leinfelder

- Target version changed from Unspecified to 2.1.0

| do get a blank page on the KNB (v2.0.3) and can see this message in the log:

SystemId Unknown; Line #9; Column #1258; The entity name must immediately follow the '&' in the entity referen
ce.

But locally (v2.0.6) | get search results even though there is an error in the log:

knb 20130409-17:00:59: [ERROR]: QuerySpecification() - SAX error parsing data: The entity name must immediatel
y follow the '&' in the entity reference. [edu.ucsb.nceas.metacat.QuerySpecification]

Bottom line seems to be we need to fix the pathquery that gets generated (by skins) so that it is valid XML.

#3 - 05/09/2013 01:26 PM - ben leinfelder

- Status changed from New to Closed

- Assignee changed from Jing Tao to ben leinfelder

This is in trunk now, though it is not applicable for solr queries. (I'm sure there are other character escaping issues to deal with as we work more with
that query engine)
